AOZ Studio Beta - Bug #427

Rainbows are too dark
08/03/2020 04:42 PM - Nick Morison

Status: Feedback Start date: 08/03/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: 0.9.9.4

Description

The below code (from page 140 of the original Amos manual) draws a red rainbow on screen:
Set rainbOW 0,1 ’64’"(8,2’8)"!llll!llll

Rainbow 0,56,1,255

Wait Key

This works on AOZ but the rainbow is so dark it's barely visible.

History

#1 - 08/28/2020 08:18 AM - Francois Lionet

- Status changed from New to Feedback

You have to be in Amiga mode to run such examples, in Amiga mode, colors are in the form $RGB whereas in AOZ mode, $RRGGBB.
If you want this example to work in AOZ mode, you should replace the string with:
Set rainbow 0,1,64,"(8,20,8)","",""

#2 - 09/10/2020 07:03 AM - Brian Flanagan
- File messed_up_rainbow.png added

- File messed _up_in_AOZ_Viewer.png added

Even in the "amiga" manifest the rainbows are really messed up.
Here's an example of what the above example produces.

The lines are offset, and there are gaps at irregular intervals.

#3 - 09/27/2020 05:39 PM - Francois Lionet

The short color problem is now fixed in the rainbows.
But rainbows need a refactoring to avoid gap, that only happen in full screen where there is too much data to handle. For a next version.

Files
messed_up_rainbow.png 27.4 KB 09/10/2020 Brian Flanagan
messed_up_in_AOZ_Viewer.png 18.6 KB 09/10/2020 Brian Flanagan
